commit: 8fbf766b1a7218399d853523cdc4b3da8f75e663
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 19 09:08:26 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 19 09:52:03 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fbf766b
dev-lang/python: Fix line wrapping in 3.8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-lang/python/python-3.8.0.ebuild | 22 +++++++++++++++-------
1 file changed, 15 insertions(+), 7 deletions(-)
diff --git a/dev-lang/python/python-3.8.0.ebuild
b/dev-lang/python/python-3.8.0.ebuild
index 9428510a9d1..54e290e7e46 100644
--- a/dev-lang/python/python-3.8.0.ebuild
+++ b/dev-lang/python/python-3.8.0.ebuild
@@ -280,7 +280,8 @@ src_install() {
local pymajor=${PYVER%.*}
mkdir -p "${D}${PYTHON_SCRIPTDIR}" || die
# python and pythonX
- ln -s "../../../bin/${abiver}"
"${D}${PYTHON_SCRIPTDIR}/python${pymajor}" || die
+ ln -s "../../../bin/${abiver}" \
+ "${D}${PYTHON_SCRIPTDIR}/python${pymajor}" || die
ln -s "python${pymajor}" "${D}${PYTHON_SCRIPTDIR}/python" || die
# python-config and pythonX-config
# note: we need to create a wrapper rather than symlinking it due
@@ -290,13 +291,17 @@ src_install() {
exec "${abiver}-config" "\${@}"
EOF
chmod +x "${D}${PYTHON_SCRIPTDIR}/python${pymajor}-config" || die
- ln -s "python${pymajor}-config" "${D}${PYTHON_SCRIPTDIR}/python-config"
|| die
+ ln -s "python${pymajor}-config" \
+ "${D}${PYTHON_SCRIPTDIR}/python-config" || die
# 2to3, pydoc
- ln -s "../../../bin/2to3-${PYVER}" "${D}${PYTHON_SCRIPTDIR}/2to3" || die
- ln -s "../../../bin/pydoc${PYVER}" "${D}${PYTHON_SCRIPTDIR}/pydoc" ||
die
+ ln -s "../../../bin/2to3-${PYVER}" \
+ "${D}${PYTHON_SCRIPTDIR}/2to3" || die
+ ln -s "../../../bin/pydoc${PYVER}" \
+ "${D}${PYTHON_SCRIPTDIR}/pydoc" || die
# idle
if use tk; then
- ln -s "../../../bin/idle${PYVER}"
"${D}${PYTHON_SCRIPTDIR}/idle" || die
+ ln -s "../../../bin/idle${PYVER}" \
+ "${D}${PYTHON_SCRIPTDIR}/idle" || die
fi
}
@@ -307,11 +312,14 @@ pkg_preinst() {
}
eselect_python_update() {
- if [[ -z "$(eselect python show)" || ! -f "${EROOT}/usr/bin/$(eselect
python show)" ]]; then
+ if [[ -z "$(eselect python show)" || \
+ ! -f "${EROOT}/usr/bin/$(eselect python show)" ]]; then
eselect python update
fi
- if [[ -z "$(eselect python show --python${PV%%.*})" || ! -f
"${EROOT}/usr/bin/$(eselect python show --python${PV%%.*})" ]]; then
+ if [[ -z "$(eselect python show --python${PV%%.*})" || \
+ ! -f "${EROOT}/usr/bin/$(eselect python show
--python${PV%%.*})" ]]
+ then
eselect python update --python${PV%%.*}
fi
}